changeset 247:085395c1471d

Die on compilation or stripping failure
author Charlie Shepherd <masterdriverz@gentoo.org>
date Fri, 25 Jan 2008 14:44:01 +0000
parents d9ea4ca7ae8c
children 5e8ca70863aa
files scripts/make.sh
diffstat 1 files changed, 3 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/make.sh	Sun Jan 27 15:26:32 2008 -0600
+++ b/scripts/make.sh	Fri Jan 25 14:44:01 2008 +0000
@@ -93,5 +93,6 @@
 
 echo "Compile toybox..."
 
-$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c $TOYFILES
-$DEBUG $STRIP toybox_unstripped -o toybox
+$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
+  main.c lib/*.c $TOYFILES || exit 1
+$DEBUG $STRIP toybox_unstripped -o toybox || exit 1